%define	base_name	servletapi
%define	major_version	3
%define	name		%{base_name}%{major_version}
%define full_name	jakarta-%{base_name}
%define	version		3.3.1a
%define release		1jpp
%define javadir		%{_datadir}/java
%define javadocdir	%{_datadir}/javadoc
%define section		free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Java servlet and JSP implementation classes
License: 	Apache License
Group: 		Internet/WWW/Dynamic Content
Vendor:		JPackage Project
Distribution:	JPackage
Source:		%{full_name}-src.tar.gz
Url: 		http://jakarta.apache.org/tomcat
Provides:       servlet
Requires:       /usr/sbin/update-alternatives
Buildrequires:	ant >= 1.2
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Obsoletes:	servlet3
Obsoletes:	servlet22
Provides:	servlet3
Provides:	servlet22

%description
This subproject contains the source code for the implementation classes
of the Java Servlet and JSP APIs (packages javax.servlet).

%package javadoc
Group: 			Development/Documentation
Summary: 		Javadoc for %{name}

%description javadoc
Javadoc generated Documentation for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -n %{full_name}-src

%build
ant dist -Dservletapi.build=build -Dservletapi.dist=dist

%install
# jar
install -d -m 755 $RPM_BUILD_ROOT%{javadir}
install -m 644 dist/lib/servlet.jar $RPM_BUILD_ROOT%{javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} ${jar/-%{version}/}; done)
#javadoc
install -d -m 755 $RPM_BUILD_ROOT%{javadocdir}/%{name}
cp -pr build/docs/api/* $RPM_BUILD_ROOT%{javadocdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
update-alternatives --install %{javadir}/servlet.jar servlet %{javadir}/%{name}-%{version}.jar 30

%postun
if [ "$1" = "0" ]; then
	update-alternatives --remove servlet %{javadir}/%{name}-%{version}.jar
fi

%files
%defattr(-,root,root)
%doc LICENSE README
%{javadir}/*

%files javadoc
%defattr(-,root,root)
%{javadocdir}/%{name}

%changelog
* Wed Jan 29 2003 Henri Gomez <hgomez@@users.sourceforge.net> 3.3.1a-1jpp
- 3.3.1a
- use tarball present in 3.3.1a release source dir

* Fri Oct 25 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 3.3.1-3jpp
- only one alternative (servlet)
- do not remove alternatives on upgrades
- group, vendor, distribution tags

* Wed Jun 26 2002 Henri Gomez <hgomez@slib.fr> 3.3.1-2jpp
- remove version in javadoc dir for Tomcat 3.3.x build purposes

* Mon Jun 10 2002 Henri Gomez <hgomez@slib.fr> 3.3.1-1jpp
- added servlet22 alternative (servlet-2.2)

* Mon Mar 18 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 3.3-3jpp 
- renamed once again (hope last time) to servletapi3
- provide servlet resource with priority 30

* Mon Jan 21 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 3.3-2jpp 
- fixed javadoc package group
- section macro

* Fri Jan 18 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 3.3-1jpp
- renamed from servlet22 to servlet3
- 3.3
- provides servlet_spec-2.2 resource with 50 priority
- requires /usr/sbin/update-alternatives
- versioned dir for javadoc
- no dependencies for javadoc package
- spec cleanup

* Fri Nov 23 2001 Henri Gomez <hgomez@slib.fr> 3.2.4-1jpp
- 3.2.4
- renamed from servletapi3 to servlet22
- built using jikes 1.15
- removed packager tag
- javadoc live now in /usr/share/javadoc/servlet3
- manual renamed to javadoc

* Sat Oct 20 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 3.2.3-3mdk
- s/jPackage/JPackage
- used original tarball

* Fri Sep 14 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 3.2.3-2mdk
- changed jar name to %{name}.jar

* Sun Aug 26 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 3.2.3-1mdk
- 3.2.3 
- vendor tag
- packager tag
- s/Copyright/License/
- truncated description to 72 columns in spec
- spec cleanup
- used versioned jar
- used new source packaging policy

* Sat Feb 10 2001 Guillaume Rousse <g.rousse@mandrake-linux.com> 3.2-1mdk
- first Mandrake release
